@import url('https://fonts.googleapis.com/css2?family=Cause:wght@100..900&display=swap');
body, main, details, .content{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	row-gap: 10px;
}
button{
	height: 8dvh;
	width: 29dvw;
	background: blue;
	border: none;
	border-radius: 1000px;
	font-size: 1.25rem;
	font-weight: bold;
	color: white;
	text-shadow: 0 0 10px white;
	box-shadow: 0 0 10px lightblue;
	transition: all 0.2s linear;
}
button:active{
	box-shadow: none;
	text-shadow: none;
}
button:hover{
	box-shadow: 0 0 15px lightblue;
	text-shadow: 0 0 15px white;
}
body{
	min-height: 100dvh;
	background: url("https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRWXhM0IK9aM8hOhyRxIe8TNojlk1HwbUl56oRH7HD2uQ&s=10");
	background-size: cover
}
h1, ::placeholder{
	font-style: italic;
}
input, ::placeholder{
	text-align: center;
}
footer p{
	font-family: "Cause", cursive;
	font-weight: bold;
	color: white;
}
#danger{
	color: red;
	background: #FF000050;
	padding: 5px;
	border: 3px solid darkred;
	margin: 10px 0;
}
#danger input{
	background: red;
}
#surprise{
	padding: 5px;
	background: linear-gradient(to right, #FF000090, #FFA50090, #FFFF0090, #90EE9090, #00FF0090, #ADD8E690, #0000FF90, #9D00FF90);
	border: solid red;
}
.content p{
	margin: 5px;
	font-weight: bold;
	font-style: italic;
}
#code{
	display: flex;
	flex-direction: column;
	font-family: "Monospace";
	white-space: pre-line;
	font-size: 0.625rem;
	background: radial-gradient(circle, white, lightgray);
	border-radius: 30px;
	padding: 10px 3px;
	gap: 0;
}
img{
	height: 3dvh;
}
#copy{
	width: 100%;
	display: flex;
	justify-content: flex-end;
}
#html{
	margin-bottom: 0;
}
#html p{
	padding: 0;
	margin-bottom: 5px;
	margin-top: 0;
	height: 3px;
	color: darkgray;
}
[type="color"]{
	background: red;
}

#img img{
	position: absolute;
	inset: 0;
	top: 100px;
}
#img{
	position: relative;
}
*{
	padding: 0;
	margin: 0;
}